Ajouter un Device

bonsoir
Je voulais ajouter un Device dans Xcode 10.0 sous High Sierra mais :

  • mon iPhone est reconnu (?) avec iOS 11.4 alors que je suis en 12 : j’ai donc le message disant que la version de son OS est trop ancienne et impossible de le mettre à jour dans Xcode
  • je n’arrive pas à ajouter mon iPad dans la liste.

Merci pour votre aide.

Quelle version du XCode tu as et quelles sont les versions exactes de tes devices iOS qui posent problème ?
Tu aurais un message d’erreur spécifique qui aurait été affiché par XCode ?

bonjour

J’utilise la version 10.0 (10A255) de Xcode ; sur mon iPhone SE, j’ai la 12.0.1, sur lpad air2, iOS 12.0.1 également
Le message est tout simple : iPhone (OS version lower than deployment target) (la déploiement Target étant 12.0)

Si je change le déploiement Target, le message “OS version lower than deployment target” disparait, mais j’ai une fenêtre indiquant que l’iphone n’est pas connecté (alors qu’il est branché par le câble)

merci pour ton aide

Je ne vois pas ce que ça pourrait être. Si 2 de tes appareils ont le même soucis, c’est que le problème vient de XCode et non des appareils (ou alors tu n’as vraiment pas de chance).
Voici les pistes que je suivrais en premier pour résoudre le problème :

  • Créer un nouveau projet vide pour voir si le soucis vient de mon projet ou de XCode
  • Vérifier que la version des Command Line Tools dans les préférences de XCode est bien la même que XCode lui même. (Preferences > Locations > Command Line Tools)
  • Vérifier que mes identifiants Apple sont bien rentrés et validés dans les préférences Account de XCode
  • Ouvrir “Devices and Simulators” dans XCode (CMD - SHIFT - 2) pour vérifier ce qu’il dit à propos de mes appareils (version, problèmes éventuels, etc.)
  • Changer de câble USB (il a peut être un défaut)
  • Essayer un 3eme appareil
1 J'aime

Merci, problème résolu : c’était le câble USB qui était mort.

1 J'aime